cURL
curl "https://api.scrapio.dev/v1/walmart/search?query=coffee+maker" \
-H "Authorization: Bearer $SCRAPIO_API_KEY"import os, requests
resp = requests.get(
"https://api.scrapio.dev/v1/walmart/search",
headers={"Authorization": f"Bearer {os.environ['SCRAPIO_API_KEY']}"},
params={"query": "coffee maker"},
)
for r in resp.json()["results"]:
print(r["name"], r["price"])const params = new URLSearchParams({ query: "coffee maker" });
const { results } = await fetch(`https://api.scrapio.dev/v1/walmart/search?${params}`, {
headers: { Authorization: `Bearer ${process.env.SCRAPIO_API_KEY}` },
}).then(r => r.json());
results.forEach(r => console.log(r.name, r.price));
{
"provider": "walmart",
"page_type": "search",
"meta_data": {
"url": "<string>",
"query": "<string>",
"start_page": 123,
"end_page": 123,
"pages_requested": 123,
"pages_returned": 123,
"number_of_results": 123,
"number_of_products": 4503599627370495,
"total_pages": 123,
"page": 123
},
"products": [
{
"position": 123,
"product_id": "<string>",
"title": "<string>",
"price": 123,
"currency": "<string>",
"rating": 123,
"review_count": 123,
"availability": "<string>",
"image": "<string>",
"url": "<string>",
"brand": "<string>",
"seller": "<string>",
"free_shipping": true,
"two_day_shipping": true
}
],
"facets": {
"brands": [
{
"name": "<string>",
"count": 123
}
],
"ratings": [
{
"stars": 123,
"count": 123
}
],
"price_ranges": [
{
"min": 123,
"max": 123,
"count": 123
}
],
"applied_filters": {
"sort_by": "<string>",
"min_price": 123,
"max_price": 123,
"fulfillment_speed": "<string>",
"fulfillment_type": "<string>"
}
},
"location": {
"delivery_zip": "<string>",
"store_id": "<string>",
"domain": "<string>",
"zip_code": "<string>"
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}Walmart
Search Walmart
Search Walmart and return structured results for the first page of matches.
GET
/
v1
/
walmart
/
search
cURL
curl "https://api.scrapio.dev/v1/walmart/search?query=coffee+maker" \
-H "Authorization: Bearer $SCRAPIO_API_KEY"import os, requests
resp = requests.get(
"https://api.scrapio.dev/v1/walmart/search",
headers={"Authorization": f"Bearer {os.environ['SCRAPIO_API_KEY']}"},
params={"query": "coffee maker"},
)
for r in resp.json()["results"]:
print(r["name"], r["price"])const params = new URLSearchParams({ query: "coffee maker" });
const { results } = await fetch(`https://api.scrapio.dev/v1/walmart/search?${params}`, {
headers: { Authorization: `Bearer ${process.env.SCRAPIO_API_KEY}` },
}).then(r => r.json());
results.forEach(r => console.log(r.name, r.price));
{
"provider": "walmart",
"page_type": "search",
"meta_data": {
"url": "<string>",
"query": "<string>",
"start_page": 123,
"end_page": 123,
"pages_requested": 123,
"pages_returned": 123,
"number_of_results": 123,
"number_of_products": 4503599627370495,
"total_pages": 123,
"page": 123
},
"products": [
{
"position": 123,
"product_id": "<string>",
"title": "<string>",
"price": 123,
"currency": "<string>",
"rating": 123,
"review_count": 123,
"availability": "<string>",
"image": "<string>",
"url": "<string>",
"brand": "<string>",
"seller": "<string>",
"free_shipping": true,
"two_day_shipping": true
}
],
"facets": {
"brands": [
{
"name": "<string>",
"count": 123
}
],
"ratings": [
{
"stars": 123,
"count": 123
}
],
"price_ranges": [
{
"min": 123,
"max": 123,
"count": 123
}
],
"applied_filters": {
"sort_by": "<string>",
"min_price": 123,
"max_price": 123,
"fulfillment_speed": "<string>",
"fulfillment_type": "<string>"
}
},
"location": {
"delivery_zip": "<string>",
"store_id": "<string>",
"domain": "<string>",
"zip_code": "<string>"
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Search query text
Minimum string length:
1Delivery zip code for localized results
Minimum string length:
1Zip code for localized results
Minimum string length:
1Store id to localize results to
Minimum string length:
1Sort order for results
Minimum string length:
1Minimum price filter
Pattern:
^\d+$Maximum price filter
Pattern:
^\d+$Result page number
Pattern:
^\d+$Number of pages to fetch, max 5
Pattern:
^\d+$Fulfillment speed filter
Minimum string length:
1Fulfillment type filter
Minimum string length:
1Device profile to emulate
Available options:
desktop, mobile, tablet Max time to wait, in ms
Pattern:
^\d+$Response
Structured Walmart search results.
⌘I